al_draw_justified_text(3)

NAME

al_draw_justified_text - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_font.h>
    void al_draw_justified_text(const ALLEGRO_FONT *font,
       ALLEGRO_COLOR color, float x1, float x2,
       float y, float diff, int flags, const char *text)

DESCRIPTION

Like al_draw_text(3), but justifies the string to the region x1-x2.

The diff parameter is the maximum amount of horizontal space to allow between words. If justisfying the text would exceed diff pixels, or the string contains less than two words, then the string will be drawn left aligned.

The flags parameter can be 0 or one of the following flags:

•   ALLEGRO_ALIGN_INTEGER - Draw text aligned to integer pixel positions. Since: 5.0.8, 5.1.5

SEE ALSO

al_draw_justified_textf(3), al_draw_justified_ustr(3)